package example.service.impl;

import example.dao.CartDao;
import example.dao.OrdersDao;
import example.model.Computer;
import example.model.Orders;
import example.model.User;
import example.service.IOrdersService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

public class OrdersServiceImpl implements IOrdersService {

    OrdersDao ordersDao=new OrdersDao();

    CartDao cartDao = new CartDao();

    @Override
    public void allOrder(HttpServletRequest req, HttpServletResponse resp) {
        List<Orders> allOrders = ordersDao.getAllOrders();
        req.setAttribute("Orders",allOrders);
        try {
            req.getRequestDispatcher("orders.jsp").forward(req,resp);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void checkOrder(HttpServletRequest req, HttpServletResponse resp) throws Exception {
//        订单确认
        User user = (User) req.getSession().getAttribute("user");
        List<Computer> cart = cartDao.getCart(user.getId());
        Orders orders = new Orders();
        StringBuilder remark = new StringBuilder();
        double total_price=0;
        for (Computer computer : cart) {
            total_price+=computer.getPrice();
            remark.append("商品ID：").append(computer.getId()).append("\n").append("商品名称：").append(computer.getName()).append("\n").append("商品价格：").append(computer.getPrice()).append("\n");
        }
        orders.setRemark(remark.toString());
        orders.setTotalPrice(total_price);
        req.setAttribute("order",orders);
        req.getRequestDispatcher("checkOrder.jsp").forward(req,resp);
    }

    @Override
    public int addOrder(int userId,double price, String address, String remark) {
        return ordersDao.addOrder(userId,price,address,remark);
    }

    @Override
    public void myOrder(HttpServletRequest req, HttpServletResponse resp) {
        User user = (User) req.getSession().getAttribute("user");
        List<Orders> Orders = ordersDao.getMyOrders(user.getId());
        req.setAttribute("Orders",Orders);
        try {
            req.getRequestDispatcher("myOrder.jsp").forward(req,resp);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
